Skip to main content
PUT
Updating a payin
You can update a payin only when a payin is in requires_payment_method state.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the already created payin

Body

application/json
customer_details
object

Details about the customer

customer
string

ID of the customer for the checkout session

success_url
string

URL where the customer is directed to after a successful payment

cancel_url
string

The URL the customer will be directed to if they decide to cancel payment and return to your website.

shipping_details
object

Shipping details including recipient name, address and phone

billing_details
object

Billing details including name, address and phone

transaction_documents
string<json>

Supporting documents for the transaction

metadata
string<json>

Set of key-value pairs that can be attached to the object (JSON string format)

Example:

"{\"key1\": \"value1\", \"key2\": \"value2\"}"

reference_id
string

Your unique identifier for the session

statement_descriptor
string

Configure the description of the payment on your customer's statements. It must contain at least one letter and be 1-22 characters long

payment_method_details
string<json>

Pass the data specific to a payment method to confirm a payin and create a payment attempt

Response

200 - application/json

200

status
string

Indicates whether the payin creation request succeeded.

message
string

Response message or additional context regarding the payin request.

data
object

Contains detailed information about a payin object.